org.apache.solr.search

## Class CacheConfig

- java.lang.Object
- - org.apache.solr.search.CacheConfig

- All Implemented Interfaces:
    MapSerializable

      public class CacheConfig
      extends Object
      implements MapSerializable

  Contains the knowledge of how cache config is stored in the solrconfig.xml file, and implements a factory to create caches.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheConfig()`
    `CacheConfig(Class<? extends SolrCache> clazz, Map<String,String> args, CacheRegenerator regenerator)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheConfig` | `getConfig(SolrConfig solrConfig, String xpath)`
    `static CacheConfig` | `getConfig(SolrConfig solrConfig, String nodeName, Map<String,String> attrs, String xpath)`
    `static Map<String,CacheConfig>` | `getMultipleConfigs(SolrConfig solrConfig, String configPath)`
    `String` | `getNodeName()`
    `CacheRegenerator` | `getRegenerator()`
    `SolrCache` | `newInstance()`
    `void` | `setRegenerator(CacheRegenerator regenerator)`
    `Map<String,Object>` | `toMap(Map<String,Object> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheConfig

          public CacheConfig()

    - #### CacheConfig

          public CacheConfig(Class<? extends SolrCache> clazz,
                             Map<String,String> args,
                             CacheRegenerator regenerator)

  - ### Method Detail

    - #### getRegenerator

          public CacheRegenerator getRegenerator()

    - #### setRegenerator

          public void setRegenerator(CacheRegenerator regenerator)

    - #### getMultipleConfigs

          public static Map<String,CacheConfig> getMultipleConfigs(SolrConfig solrConfig,
                                                                   String configPath)

    - #### getConfig

          public static CacheConfig getConfig(SolrConfig solrConfig,
                                              String xpath)

    - #### getConfig

          public static CacheConfig getConfig(SolrConfig solrConfig,
                                              String nodeName,
                                              Map<String,String> attrs,
                                              String xpath)

    - #### newInstance

          public SolrCache newInstance()

    - #### toMap

          public Map<String,Object> toMap(Map<String,Object> map)

      Specified by:
        `toMap` in interface `MapSerializable`

    - #### getNodeName

          public String getNodeName()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.